# Poco

# class FIFOIOS

Library: Foundation
Package: Streams
Header: Poco/FIFOBufferStream.h

## Description

The base class for FIFOBufferInputStream and FIFOBufferStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: FIFOBufferStream

## Member Summary

Member Functions: close, rdbuf

## Constructors

### FIFOIOS

explicit FIFOIOS(
FIFOBuffer & buffer
);

Creates a FIFOIOS and assigns the given buffer to it.

### FIFOIOS

explicit FIFOIOS(
std::size_t length
);

Creates a FIFOIOS of the given length.

### FIFOIOS

FIFOIOS(
char * pBuffer,
std::size_t length
);

Creates a FIFOIOS and assigns the given buffer to it.

### FIFOIOS

FIFOIOS(
const char * pBuffer,
std::size_t length
);

Creates a FIFOIOS and assigns the given buffer to it.

## Destructor

### ~FIFOIOS

~FIFOIOS();

Destroys the FIFOIOS.

Flushes the buffer.

## Member Functions

### close

void close();

Flushes the stream.

### rdbuf

FIFOBufferStreamBuf * rdbuf();

Returns a pointer to the internal FIFOBufferStreamBuf.

## Variables

### _buf

FIFOBufferStreamBuf _buf;